# -*- coding: UTF-8 -*-

import sys, os, cgi, time, urllib2
import SimpleHTTPServer, SocketServer

debugmode = False
cacheMetodos = {}
cacheClases = {}
impModulos = set()

class ManejaPedidos(SimpleHTTPServer.SimpleHTTPRequestHandler):
    '''Clase que se instancia para cada pedido HTTP.'''

    def do_POST(self):
        content = "hola"
        self.send_response(200)
        self.send_header("content-type", "text/html")
        self.send_header("content-length", len(content))
        self.end_headers()
        self.wfile.write(content)
        return

    def do_GET(self):
        '''Sirve un pedido GET.'''

        content = u"aúd".encode("utf8")

        self.send_response(200)
        self.send_header("content-type", "text/html")
        self.send_header("content-length", len(content))
        self.end_headers()
        self.wfile.write(content)
        return


class MyServer(SocketServer.ThreadingMixIn, SocketServer.TCPServer):
    pass
        
if __name__=="__main__":
    if len(sys.argv) != 2 or not sys.argv[1].isdigit():
        print "Usar: ws.py <puerto>"
        sys.exit()
    port = int(sys.argv[1])
    s = MyServer(('',port),ManejaPedidos)
    s.serve_forever()
